package com.tencent.mm.plugin.appbrand.widget.input.panel;

import android.content.Context;
import android.os.Build.VERSION;
import android.view.View;
import com.tencent.matrix.trace.core.AppMethodBeat;

public class e$a implements e {
    int jeI;
    boolean mInLayout;
    private View mView;

    public e$a(Context context) {
        AppMethodBeat.i(123949);
        this.mView = new 1(this, context);
        AppMethodBeat.o(123949);
    }

    public final View getPanelView() {
        return this.mView;
    }

    public final void setOnTextOperationListener(f fVar) {
    }

    public final void aRD() {
        AppMethodBeat.i(123950);
        this.mView.setVisibility(0);
        AppMethodBeat.o(123950);
    }

    public final void aRE() {
        AppMethodBeat.i(123951);
        this.mView.setVisibility(4);
        AppMethodBeat.o(123951);
    }

    public final void onDestroy() {
    }

    public final boolean qD(int i) {
        if (i <= 0 || this.jeI == i) {
            return false;
        }
        this.jeI = i;
        return true;
    }

    public final boolean aQZ() {
        AppMethodBeat.i(123952);
        boolean isInLayout;
        if (VERSION.SDK_INT >= 18) {
            isInLayout = this.mView.isInLayout();
            AppMethodBeat.o(123952);
            return isInLayout;
        }
        isInLayout = this.mInLayout;
        AppMethodBeat.o(123952);
        return isInLayout;
    }

    public final boolean aQV() {
        return true;
    }
}
